import { ApiGatewayManagementApiClient, DeleteConnectionCommand } from '@aws-sdk/client-apigatewaymanagementapi';
export const closeConnection = async ({ endpoint, connectionId }) => {
    try {
        await new ApiGatewayManagementApiClient({ endpoint }).send(new DeleteConnectionCommand({ ConnectionId: connectionId }));
    }
    catch (err) {
        if (err?.name === 'GoneException')
            return;
        throw err;
    }
};
//# sourceMappingURL=closeConnection.js.map